summaryrefslogtreecommitdiffstats
path: root/tools/testing/selftests/tpm2/test_space.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tools/testing/selftests/tpm2/test_space.sh')
-rwxr-xr-xtools/testing/selftests/tpm2/test_space.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/tools/testing/selftests/tpm2/test_space.sh b/tools/testing/selftests/tpm2/test_space.sh
new file mode 100755
index 000000000..04c47b13f
--- /dev/null
+++ b/tools/testing/selftests/tpm2/test_space.sh
@@ -0,0 +1,9 @@
+#!/bin/sh
+# SPDX-License-Identifier: (GPL-2.0 OR BSD-3-Clause)
+
+# Kselftest framework requirement - SKIP code is 4.
+ksft_skip=4
+
+[ -e /dev/tpmrm0 ] || exit $ksft_skip
+
+python3 -m unittest -v tpm2_tests.SpaceTest